Bug 7988 - warning on authorized values confusing
Summary: warning on authorized values confusing
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Katrin Fischer
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-20 12:26 UTC by Nicole C. Engard
Modified: 2015-06-04 23:33 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 7988: Make note on authorized values page less confusing (2.29 KB, patch)
2014-11-10 10:40 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 7988: Make note on authorized values page less confusing (2.46 KB, patch)
2014-11-10 17:40 UTC, Marc Véron
Details | Diff | Splinter Review
[Passed QA] Bug 7988: Make note on authorized values page less confusing (2.53 KB, patch)
2014-11-12 07:46 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2012-04-20 12:26:35 UTC
On the authorized values admin page it says:

"NOTE: If you change an authorized value, existing records using it won't be updated."

This is confusing because some people are thinking that this means if you edit the description it won't update the records.  When in reality it means if you change the VALUE it won't update things.

Maybe this could be made clearer by saying:

"NOTE: If you change an authorized value, existing records using it won't be updated. Changes to value descriptions will show immediately"

I'm not sure that's clear either, but I can't come up with another way to make this not confuse people so I'm open to ideas.
Comment 1 Nicole C. Engard 2012-04-20 12:27:51 UTC
How about:

"NOTE: If you change an authorized value code, existing records using it won't be updated. Changes to value descriptions will show immediately."
Comment 2 Katrin Fischer 2014-11-10 10:40:45 UTC Comment hidden (obsolete)
Comment 3 Marc Véron 2014-11-10 17:40:42 UTC Comment hidden (obsolete)
Comment 4 Martin Renvoize 2014-11-12 07:46:16 UTC
Created attachment 33468 [details] [review]
[Passed QA] Bug 7988: Make note on authorized values page less confusing

Nicole suggested a change of the note, that this patch is implementing:

NOTE: If you change an authorized value code, existing records
using it won't be updated. Changes to value descriptions will show
immediately.

To test:
- Go to administration > authorised values
- Check the note showing on the page
- Select a category from the pull down and edit an existing entry
- Check the note on this page is also correct

Patch behaves as expected.
Signed-off-by: Marc Véron <veron@veron.ch>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 5 Martin Renvoize 2014-11-12 07:46:47 UTC
Trivial patch, passing QA.
Comment 6 Tomás Cohen Arazi 2014-11-14 14:50:18 UTC
Patch pushed to master.

Thanks Katrina!